# SPDX-FileCopyrightText: 2025 Ncam Gnrvngu <info@ncamgnrvngu.eu>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

# The URL the site will be built for
base_url = "https://ncamgnrvngu.eu"

# Whether to automatically compile all Sass files in the sass directory
compile_sass = true

# Whether to build a search index to be used later on by a JavaScript library
build_search_index = false

generate_feeds = true
feed_filenames = ["atom.xml", "rss.xml"]
author = "Ncam Gnrvngu"

[markdown]
# Whether to do syntax highlighting
# Theme can be customised by setting the `highlight_theme` variable to a theme supported by Zola
highlight_code = true

extra_syntaxes_and_themes = ["syntax-highlighting"]

highlight_theme = "Catpuccin Mocha"

[extra]
# Put all your custom variables here
mastodon_url = "https://nerdculture.de/@NcamGnrvngu"
mastodon_user = "@NcamGnrvngu@nerdculture.de"
matrix_user = "@ncamgnrvngu:matrix.org"
bookwyrm_url = "https://bookrastinating.com/user/NcamGnrvngu"
